function configure(packageFolder, packageName) {
  if (about.isPaintMode())
    return;
  System.println("Configuring demos");

  ScriptManager.addView({
    id: "com.toonboom.ScriptAPIDemos",
    text: translator.tr("Script API Demos"),
    onCreate: function (parent) {
      var uiFile = packageFolder + "/resources/demos.ui";
      try {
        var ui = UiLoader.load({ uiFile: uiFile, parent: parent, folder: packageFolder });

        function addLibraryFolder()
        {
          var localFolder = packageFolder + "/demos";
          System.println("Folder: "  + localFolder);
          var dir = new QDir(localFolder);
          var entries = dir.entryList();
          for(var j in entries)
          {
            var p = entries[j];
            if (p == "." || p == "..")
              continue;
            var info = new QFileInfo(localFolder + "/" + p);
            if (info.isFile() && info.suffix() == "js")
            {
              ui.demoList.addItem(localFolder + "/" + p);
            }
          }
        }
        addLibraryFolder();

        ui.demoList.itemClicked.connect(function() {
          if (!ui.demoList.currentItem()) return;
          var scriptFile = ui.demoList.currentItem().text();
          var f = new QFile(scriptFile);
          if (f.open(QIODevice.ReadOnly))
          {
            ui.outputLabel.text = "Demo Code";
            ui.console.clear();
            try
            {
              var d = f.readAll();
              ui.console.append(new QTextStream(d).readAll());
            }
            catch(e)
            {
              ui.console.append(e);
            }
          }
        });

        ui.refreshList.clicked.connect(this, function() {
          ui.demoList.clear();
          addLibraryFolder();
        });
        ui.runDemo.clicked.connect(this, function() {
          try {
            if (!ui.demoList.currentItem()) return;
            var scriptFile = ui.demoList.currentItem().text();
            System.println("running: " + scriptFile);
            ui.console.clear();
            ui.outputLabel.text = "Console Output";

            require(scriptFile).run({
              log : function(obj) {
                if (!obj) return;
                if (typeof obj != "string") ui.console.append(JSON.stringify(obj, null, ' '));
                else ui.console.append(obj);
              }
            });
          } catch(e) {
            System.println("error: " + e);

          }
        });

        ui.show();
      }
      catch (e) {
        System.println("Exception: " + e);
      }

    }
  });

}

exports.configure = configure;
