

function run(console) {
  try {  
    scene.beginUndoRedoAccum("My Modify layer Example");

    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) {
      settings = Tools.createDrawing();
      if (!settings)
      {
        scene.cancelUndoRedoAccum();
        return;
      }
    }

    DrawingTools.createLayers( {
      label : "My Modify layer Example", 
      drawing : settings.currentDrawing,
      art: 2, // Line art
      masks : [
         {
            polygon: true,
            path: [ {x: 60, y: 60}, 
                     {x: 70, y: 60}, 
                     {x: 70, y: 70}, 
                     {x: 60, y: 70},
                     {x: 60, y: 60}],
            holes : [
               [ {x: 65, y: 65}, 
               {x: 65, y: 68}, 
               {x: 68, y: 68}, 
               {x: 68, y: 65},
               {x: 65, y: 65}]
            ]    
         }
      ],
      layers : [
         {
            shaders : [
               { colorId : "0000000000000003" }  // This is the default vectorization color
            ],
            under : false,
            referenceLayer: 0,
            strokes : [ 
            {
               shaderLeft: 0,
            stroke : true,
            pencilColorId : "0000000000000003", // This is the default vectorization color
            thickness: 1,
            polygon: true,
            path: [ {x: 0, y: 0}, 
                     {x: 2500/12, y: 0}, 
                     {x: 2500/12, y: 1875/12}, 
                     {x: 0, y: 1875/12},
                     {x: 0, y: 0}]
            }
         ] }
      ]
      });
      scene.endUndoRedoAccum();

  } catch(e) {
    console.log("Exception: " + e);
    scene.cancelUndoRedoAccum();

  }
}

exports.run = run;

