

function run(console) {
  try {  
    function createLayer(selectedElement, atFrame, path)
    {
       DrawingTools.createLayers( {
          label : "unused",  // This label will not be visible because the caller was wrapped in an undo/redo accumulator.
          drawing : {node: selectedElement, frame: atFrame},
              art: 2,
              layers : [
                 {
                   shaders : [
                      { colorId : "0000000000000003" }
                    ],
                    layerType: 10001,
                    strokes : [ 
                    {
                      shaderLeft: 0,
                      stroke : true,
                      pencilColorId : "08aeff1cd4c30c01",
                      thickness: 1,
                      path: path
                     }
                 ] }
              ]
         });
    
    }
    
    function generateSpiral(selectedElement, atFrame)
    {
       var angle = 0;
       var r = 0;
       while (angle < 3600)
       {
          var path = Drawing.geometry.createCircle({
             x : r * Math.cos(angle * Math.PI / 180.0),
             y : r * Math.sin(angle * Math.PI / 180.0),
             radius : 40 + 20 * Math.random()
          });
          createLayer(selectedElement, atFrame, path);
          r += 5;
          angle += 10 + Math.random() * 5;
       }
    }

    scene.beginUndoRedoAccum("My nice spiral example");

    var n = selection.selectedNode(0);
    var f = frame.current();
    // Wrap the generate spiral in an undo/redo accum to avoid having a very long undo list.
    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) {
      settings = Tools.createDrawing();
      if (!settings)
      {
        scene.cancelUndoRedoAccum();
        return;
      }
    }
    generateSpiral(n, f);
    scene.endUndoRedoAccum();
    
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;

